# Migrating from CE Cache

Starting with version 1.7.0 when installing Speedy, if CE Cache is currently installed on your site Speedy will migrate all of CE Cache's settings to Speedy compatible settings. This includes:

* Cache breaking rules
* Cache item/key names
* Updating template tags where applicable

{% hint style="warning" %}
The migration **does not include** migrating the cache itself. You will need to re-warm your cache items. The migration, while it does several things, is not intended to be a set it and forget it process. You will need to verify the installation and review the migration and possibly make some minor adjustments.
{% endhint %}

The following template tag updates will be made:

* `{exp:ce_cache:it}` -> `{exp:speedy:fragment}`
* `{exp:ce_cache:stat:ic}` -> `{exp:speedy:static}`
* `{exp:ce_cache:escape}` -> `{exp:speedy:escape}`
* `{exp:ce_cache:clear}` -> `{exp:speedy:clear}`
* `{exp:ce_cache:add_tag}` -> `{speedy:add_tag}`
* `{exp:ce_cache:until}` -> `{speedy:set_ttl}`

The following CE Cache template tags do not have a Speedy equivalent, so speedy will update them to an empty placeholder tag that will not perform any actions. You may need to remove these tags from your templates and alter your site as necessary.

* `{exp:ce_cache:save}` -> `{exp:speedy:not_available}`
* `{exp:ce_cache:get}` -> `{exp:speedy:not_available}`
* `{exp:ce_cache:delete}` -> `{exp:speedy:not_available}`
* `{exp:ce_cache:get_metadata}` -> `{exp:speedy:not_available}`
* `{exp:ce_cache:is_supported}` -> `{exp:speedy:not_available}`

## Migrating

1. Install Speedy as you normally would. As mentioned above template tags will be updated and settings in the database tables migrated.&#x20;
2. Verify the template tags were updated as expected, and check the cache breaking rules in Speedy to verify they are correct.
3. Uninstall CE Cache

### Static Caching

If you're using static caching in CE Cache and want to keep using it in Speedy, you will need to remove the old CE Cache htaccess rules and \_static\_cache\_handler.php.php file and follow [Speedy's static caching guide](/speedy/docs/static-caching.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.boldminded.com/speedy/docs/migrating-from-ce-cache.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
